Package org.apache.aries.transaction

## Class ComponentTxData

- java.lang.Object
- - org.apache.aries.transaction.ComponentTxData

    public class ComponentTxData
    extends java.lang.Object

### Constructor Summary

Constructors
`ComponentTxData​(java.lang.Class<?> c)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class<?>` `getBeanClass()`
`boolean` `isTransactional()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentTxData

    public ComponentTxData​(java.lang.Class<?> c)

### Method Detail

#### isTransactional

    public boolean isTransactional()

#### getBeanClass

    public java.lang.Class<?> getBeanClass()